> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve a workflow run

GET https://rest.test.zuora.com/workflows/workflow_runs/{workflow_run_id}

Retrieves information about a specific workflow run by its ID.

### User Access Permission
You must be assigned the **Workflow View Access** permission to run this operation.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/workflow/workflows/get-workflow-run

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `workflow_run_id` (string, required) — The unique ID of a workflow run. For example, 19080.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

OK

- `cpuTime` (string, optional) — The overall CPU time for the execution of the workflow.
- `createdAt` (string, optional) — The date and time when the workflow is created, in the `YYYY-MM-DD HH:MM:SS` format..
- `finishedAt` (string, optional) — The date and time when the execution of the workflow completes, in the `YYYY-MM-DD HH:MM:SS` format.
- `id` (integer, optional) — The unique ID of the workflow.
- `messages` (GetWorkflowResponseMessages, optional) — Messages from tasks. **Note:** This field is only returned in Production.
- `name` (string, optional) — The unique run number of the workflow.
- `originalWorkflowId` (string, optional) — The ID of the workflow setup.
- `runTime` (double, optional) — The execution time of the workflow including the waiting time, in seconds.
- `status` (enum, optional) — The status of the workflow: - Queued: The workflow is in queue for being processed. - Processing: The workflow is in process. - Stopping: The workflow is being stopped through Zuora UI. - Stopped: The workflow is stopped through Zuora UI. - Finished: The workflow is finished. When a workflow is finished, it might have tasks pending for retry or delay. Pending tasks do not block the onfinish branch of the workflow, but they block the oncomplete branch of the iterate.
  - Allowed values: `Queued`, `Processing`, `Stopping`, `Stopped`, `Finished`
- `tasks` (GetWorkflowResponseTasks, optional) — An object containing task counts.
- `type` (string, optional) — The type of the current workflow. Possible values: - `Workflow::Setup`: The workflow is a setup and is used for creating workflow instances. - `Workflow::Instance`: The workflow is an execution that has data.
- `updatedAt` (string, optional) — The date and time when the workflow is updated the last time, in the `YYYY-MM-DD HH:MM:SS` format.

## Types

### GetWorkflowResponseMessages

Messages from tasks. **Note:** This field is only returned in Production.

### GetWorkflowResponseTasks

An object containing task counts.

- `error` (integer, optional) — The number of tasks in **Error** state.
- `pending` (integer, optional) — The number of tasks in **Pending** state.
- `processing` (integer, optional) — The number of tasks in **Processing** state.
- `queued` (integer, optional) — The number of tasks in **Queued** state.
- `stopped` (integer, optional) — The number of tasks in **Stopped** state.
- `success` (integer, optional) — The number of tasks in **Success** state.
- `total` (integer, optional) — The total number of tasks.

## Examples

**Response**

```json
{
  "cpuTime": "19:01:04",
  "createdAt": "2019-09-10 19:32:21 UTC",
  "finishedAt": "2019-09-10 19:33:34 UTC",
  "id": 19063,
  "name": "WF-19027-00000032",
  "originalWorkflowId": "19027",
  "runTime": 64.513026,
  "status": "Finished",
  "tasks": {
    "error": 0,
    "pending": 0,
    "processing": 0,
    "queued": 0,
    "stopped": 0,
    "success": 4,
    "total": 4
  },
  "type": "Workflow::Instance",
  "updatedAt": "2019-09-10 19:33:34 UTC"
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/workflows/workflow_runs/workflow_run_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/workflows/workflow_runs/workflow_run_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/workflows/workflow_runs/workflow_run_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/workflows/workflow_runs/workflow_run_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/workflows/workflow_runs/workflow_run_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/workflows/workflow_runs/workflow_run_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/workflows/workflow_runs/workflow_run_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/workflows/workflow_runs/workflow_run_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```